Bug 12110 - Coverity (and other resource issue) fixes
Coverity (and other resource issue) fixes
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.5.0rc
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-04 05:20 UTC by Martin Schwenke
Modified: 2016-08-11 08:32 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.5rc (13.94 KB, patch)
2016-08-09 03:18 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.4 (12.06 KB, patch)
2016-08-09 03:18 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.3 (12.25 KB, patch)
2016-08-09 03:18 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-08-04 05:20:03 UTC
Any Coverity (and similar) fixes that are in master before 4.5.0rc2.
Comment 1 Martin Schwenke 2016-08-08 00:26:10 UTC
Update summary.  I guess these will require backporting to 4.4 and 4.3 too.
Comment 2 Martin Schwenke 2016-08-09 03:18:01 UTC
Created attachment 12329 [details]
Patch for 4.5rc

Please apply to 4.5 before BZ12113 - applying in BZ number order is easiest :-)
Comment 3 Martin Schwenke 2016-08-09 03:18:30 UTC
Created attachment 12330 [details]
Patch for 4.4
Comment 4 Martin Schwenke 2016-08-09 03:18:57 UTC
Created attachment 12331 [details]
Patch for 4.3
Comment 5 Amitay Isaacs 2016-08-09 04:38:46 UTC
Hi Karolin,

Here are patches for v4-5, v4-4 and v4-3.
Comment 6 Karolin Seeger 2016-08-09 08:06:18 UTC
(In reply to Amitay Isaacs from comment #5)
Pushed to autobuild-v4-[5|4|3]-test.
Comment 7 Karolin Seeger 2016-08-11 08:32:56 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to all branches.
Closing out bug report.

Thanks!